/*----------------------------------------------------------------------*/
/* Copyright (c) 1988-1989						*/
/* by CompuServe Inc., Tucson, AZ.  All Rights Reserved			*/
/* TIFGIF.C can be copied and distributed freely for any		*/
/* non-commercial purposes. TIFGIF.C can only be incorporated		*/
/* into commercial software with the permission of CompuServe Inc.	*/
/*----------------------------------------------------------------------*/

/* TIFGIF.C */

/*
 * ABSTRACT:
 *	This file contains main program to convert one-dimensional group-3
 *	FAX compressed files into GIF files.
 *
 * AUTHOR: Doug Chinnock
 *
 * REVISION HISTORY:
 *
 */

#include        <stdio.h>
#include	<string.h>

#include	"GIFbase.h"
#include	"cnvhuf.h"
#include	"tifrle.h"
#include	"readtif.h"

extern	int	scan_lines; 

/* Define all the prototypes */

#include	"writegif.h"
#include	"gifwrite.h"


/* Top scope variables: */

static struct ColorEntry
   palette2[2] =	{ 0x00, 0x00, 0x00,
			  0xFF, 0xFF, 0xFF };


void main (void)
{
   char
	input_name[25],
	output_name[25];
   short
	status;

   do
	{
	printf( "\nTIF source file: " );
	scanf( "%25s", input_name );
	}
   while ( start_huffman_page(input_name) != 0 );

   printf( "\nGIF product file: " );
   scanf( "%25s", output_name );
   initialize_output(output_name);

   /* Activate the GIF file builder */

   status = Create_GIF(
		     get_RLE_bit,	/* Routine to collect next pixel */
		     put_GIF_byte,	/* Write next byte to GIF file */
		     FAX_line_width,	/* Length of all FAX lines */
		     FAX_page_length,	/* Length of FAX page in fine res */
		     1,			/* Single bit of color (black) */
		     0,			/* Not interlaced */
		     1,			/* One bit per pixel */
		     0,			/* Palette is already normalized */
		     palette2		/* Black and white palette */
		   );
   if (status != 0)
      {
      printf("%s%d%s\n",
	  "Error: ", status,
	  " from CreateGIF");
      };

   close_stream( );
   finish_output( );
}
